=== modified file 'debian/control'
--- debian/control	2010-08-23 19:23:15 +0000
+++ debian/control	2010-01-01 15:17:12 +0000
@@ -15,8 +15,7 @@
 Package: mandos
 Architecture: all
 Depends: ${misc:Depends}, python (>=2.5), python-gnutls, python-dbus,
-	python-avahi, python-gobject, avahi-daemon, adduser,
-	python-urwid
+	python-avahi, python-gobject, avahi-daemon, adduser
 Recommends: fping
 Description: a server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows

=== modified file 'mandos'
--- mandos	2010-09-02 18:36:36 +0000
+++ mandos	2010-08-22 13:34:42 +0000
@@ -83,7 +83,7 @@
 
 version = "1.0.14"
 
-logger = logging.getLogger(u'mandos')
+logger = logging.Logger(u'mandos')
 syslogger = (logging.handlers.SysLogHandler
              (facility = logging.handlers.SysLogHandler.LOG_DAEMON,
               address = "/dev/log"))
@@ -231,6 +231,10 @@
         self.server_state_changed(self.server.GetState())
 
 
+# XXX Need to add:
+# approved_by_default (Config option for each client)
+# approved_delay (config option for each client)
+# approved_duration (config option for each client)
 class Client(object):
     """A representation of a client host served by this server.
     
@@ -323,16 +327,15 @@
         self.checker_command = config[u"checker"]
         self.current_checker_command = None
         self.last_connect = None
-        self.approvals_pending = 0
         self._approved = None
         self.approved_by_default = config.get(u"approved_by_default",
-                                              True)
+                                              False)
         self.approved_delay = string_to_delta(
             config[u"approved_delay"])
         self.approved_duration = string_to_delta(
             config[u"approved_duration"])
         self.changedstate = multiprocessing_manager.Condition(multiprocessing_manager.Lock())
-    
+
     def send_changedstate(self):
         self.changedstate.acquire()
         self.changedstate.notify_all()
@@ -702,7 +705,6 @@
     # dbus.service.Object doesn't use super(), so we can't either.
     
     def __init__(self, bus = None, *args, **kwargs):
-        self._approvals_pending = 0
         self.bus = bus
         Client.__init__(self, *args, **kwargs)
         # Only now, when this client is initialized, can it show up on
@@ -713,21 +715,6 @@
         DBusObjectWithProperties.__init__(self, self.bus,
                                           self.dbus_object_path)
     
-    def _get_approvals_pending(value):
-        return self._approvals_pending
-    def _set_approvals_pending(value):
-        old_value = self._approvals_pending
-        self._approvals_pending = value
-        bval = bool(value)
-        if bval is bool(old_value):
-            dbus_bool = dbus.Boolean(bval, variant_level=1)
-            self.PropertyChanged(dbus.String(u"approved_pending"),
-                                 dbus_bool)
-        return value
-    approvals_pending = property(_get_approvals_pending,
-                                 _set_approvals_pending)
-    del _get_approvals_pending, _set_approvals_pending
-    
     @staticmethod
     def _datetime_to_dbus(dt, variant_level=0):
         """Convert a UTC datetime.datetime() to a D-Bus type."""
@@ -830,7 +817,6 @@
         self._approved = value
         gobject.timeout_add(self._timedelta_to_milliseconds(self.approved_duration, self._reset_approved))
     
-    
     ## D-Bus methods, signals & properties
     _interface = u"se.bsnet.fukt.Mandos.Client"
     
@@ -909,29 +895,7 @@
     
     ## Properties
     
-    # approved_pending - property
-    @dbus_service_property(_interface, signature=u"b", access=u"read")
-    def approved_pending_dbus_property(self):
-        return dbus.Boolean(bool(self.approvals_pending))
-    
-    # approved_by_default - property
-    @dbus_service_property(_interface, signature=u"b",
-                           access=u"readwrite")
-    def approved_by_default_dbus_property(self):
-        return dbus.Boolean(self.approved_by_default)
-    
-    # approved_delay - property
-    @dbus_service_property(_interface, signature=u"t",
-                           access=u"readwrite")
-    def approved_delay_dbus_property(self):
-        return dbus.UInt64(self.approved_delay_milliseconds())
-    
-    # approved_duration - property
-    @dbus_service_property(_interface, signature=u"t",
-                           access=u"readwrite")
-    def approved_duration_dbus_property(self):
-        return dbus.UInt64(self._timedelta_to_milliseconds(
-                self.approved_duration))
+    # xxx 3 new properties
     
     # name - property
     @dbus_service_property(_interface, signature=u"s", access=u"read")
@@ -1153,8 +1117,6 @@
                 # established.  Just abandon the request.
                 return
             logger.debug(u"Handshake succeeded")
-
-            approval_required = False
             try:
                 try:
                     fpr = self.fingerprint(self.peer_certificate
@@ -1170,11 +1132,7 @@
                 except KeyError:
                     return
                 
-                if client.approved_delay:
-                    delay = client.approved_delay
-                    client.approvals_pending += 1
-                    approval_required = True
-                
+                delay = client.approved_delay
                 while True:
                     if not client.enabled:
                         logger.warning(u"Client %s is disabled",
@@ -1183,11 +1141,7 @@
                             # Emit D-Bus signal
                             client.Rejected("Disabled")                    
                         return
-                    
-                    if client._approved or not client.approved_delay:
-                        #We are approved or approval is disabled
-                        break
-                    elif client._approved is None:
+                    if client._approved is None:
                         logger.info(u"Client %s need approval",
                                     client.name)
                         if self.server.use_dbus:
@@ -1195,11 +1149,14 @@
                             client.NeedApproval(
                                 client.approved_delay_milliseconds(),
                                 client.approved_by_default)
+                    elif client._approved:
+                        #We have a password and are approved
+                        break
                     else:
                         logger.warning(u"Client %s was not approved",
                                        client.name)
                         if self.server.use_dbus:
-                            # Emit D-Bus signal
+                            # Emit D-Bus signal                        
                             client.Rejected("Disapproved")
                         return
                     
@@ -1239,10 +1196,8 @@
                 if self.server.use_dbus:
                     # Emit D-Bus signal
                     client.GotSecret()
-            
+
             finally:
-                if approval_required:
-                    client.approvals_pending -= 1
                 session.bye()
     
     @staticmethod
@@ -1498,12 +1453,12 @@
                 parent_pipe.send(('function',))
             else:
                 parent_pipe.send(('data', client_object.__getattribute__(attrname)))
-        
+
         if command == 'setattr':
             attrname = request[1]
             value = request[2]
             setattr(client_object, attrname, value)
-        
+            
         return True
 
 
@@ -1697,7 +1652,7 @@
                         u"interval": u"5m",
                         u"checker": u"fping -q -- %%(host)s",
                         u"host": u"",
-                        u"approved_delay": u"0s",
+                        u"approved_delay": u"5m",
                         u"approved_duration": u"1s",
                         }
     client_config = configparser.SafeConfigParser(client_defaults)
@@ -1783,13 +1738,13 @@
         client_class = functools.partial(ClientDBus, bus = bus)
     def client_config_items(config, section):
         special_settings = {
-            "approved_by_default":
+            "approve_by_default":
                 lambda: config.getboolean(section,
-                                          "approved_by_default"),
+                                          "approve_by_default"),
             }
         for name, value in config.items(section):
             try:
-                yield (name, special_settings[name]())
+                yield special_settings[name]()
             except KeyError:
                 yield (name, value)
     

=== modified file 'mandos-monitor'
--- mandos-monitor	2010-08-31 18:22:25 +0000
+++ mandos-monitor	2009-12-25 23:13:47 +0000
@@ -23,14 +23,11 @@
 
 locale.setlocale(locale.LC_ALL, u'')
 
-import logging
-logging.getLogger('dbus.proxies').setLevel(logging.CRITICAL)
-
 # Some useful constants
 domain = 'se.bsnet.fukt'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.0.15"
+version = "1.0.14"
 
 # Always run in monochrome mode
 urwid.curses_display.curses.has_colors = lambda : False
@@ -53,7 +50,7 @@
                                      self.property_changed,
                                      client_interface,
                                      byte_arrays=True)
-        
+
         self.properties.update(
             self.proxy.GetAll(client_interface,
                               dbus_interface = dbus.PROPERTIES_IFACE))
@@ -104,10 +101,6 @@
                                      self.got_secret,
                                      client_interface,
                                      byte_arrays=True)
-        self.proxy.connect_to_signal(u"NeedApproval",
-                                     self.need_approval,
-                                     client_interface,
-                                     byte_arrays=True)
         self.proxy.connect_to_signal(u"Rejected",
                                      self.rejected,
                                      client_interface,
@@ -115,9 +108,9 @@
     
     def checker_completed(self, exitstatus, condition, command):
         if exitstatus == 0:
-            #self.logger(u'Checker for client %s (command "%s")'
-            #            u' was successful'
-            #            % (self.properties[u"name"], command))
+            self.logger(u'Checker for client %s (command "%s")'
+                        u' was successful'
+                        % (self.properties[u"name"], command))
             return
         if os.WIFEXITED(condition):
             self.logger(u'Checker for client %s (command "%s")'
@@ -138,25 +131,16 @@
         self.logger(u'Checker for client %s completed mysteriously')
     
     def checker_started(self, command):
-        #self.logger(u'Client %s started checker "%s"'
-        #            % (self.properties[u"name"], unicode(command)))
-        pass
+        self.logger(u'Client %s started checker "%s"'
+                    % (self.properties[u"name"], unicode(command)))
     
     def got_secret(self):
         self.logger(u'Client %s received its secret'
                     % self.properties[u"name"])
     
-    def need_approval(self, timeout, default):
-        if not default:
-            message = u'Client %s needs approval within %s seconds'
-        else:
-            message = u'Client %s will get its secret in %s seconds'
-        self.logger(message
-                    % (self.properties[u"name"], timeout/1000))
-    
-    def rejected(self, reason):
-        self.logger(u'Client %s was rejected; reason: %s'
-                    % (self.properties[u"name"], reason))
+    def rejected(self):
+        self.logger(u'Client %s was rejected'
+                    % self.properties[u"name"])
     
     def selectable(self):
         """Make this a "selectable" widget.
@@ -241,10 +225,6 @@
 #             self.proxy.unpause()
 #         elif key == u"RET":
 #             self.open()
-        elif key == u"+":
-            self.proxy.Approve(True)
-        elif key == u"-":
-            self.proxy.Approve(False)
         else:
             return key
     

